SessionCache (Apache Geode 1.13.3)
Date: 2021-06-22

org.apache.geode.modules.session.catalina

## Interface SessionCache

- All Known Implementing Classes:
    AbstractSessionCache, ClientServerSessionCache, PeerToPeerSessionCache

      public interface SessionCache

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `destroySession(String sessionId)`
    `GemFireCache` | `getCache()`
    `boolean` | `getDefaultEnableLocalCache()`
    `String` | `getDefaultRegionAttributesId()`
    `Region<String,javax.servlet.http.HttpSession>` | `getOperatingRegion()`
    `String` | `getOperatingRegionName()`
    `javax.servlet.http.HttpSession` | `getSession(String sessionId)`
    `Region<String,javax.servlet.http.HttpSession>` | `getSessionRegion()`
    `org.apache.geode.modules.session.catalina.internal.DeltaSessionStatistics` | `getStatistics()`
    `void` | `initialize()`
    `boolean` | `isBackingCacheAvailable()`
    `boolean` | `isClientServer()`
    `boolean` | `isPeerToPeer()`
    `Set<String>` | `keySet()`
    `void` | `putSession(org.apache.catalina.Session session)`
    `int` | `size()`
    `void` | `touchSessions(Set<String> sessionIds)`

- - ### Method Detail

    - #### initialize

          void initialize()

    - #### getDefaultRegionAttributesId

          String getDefaultRegionAttributesId()

    - #### getDefaultEnableLocalCache

          boolean getDefaultEnableLocalCache()

    - #### getOperatingRegionName

          String getOperatingRegionName()

    - #### putSession

          void putSession(org.apache.catalina.Session session)

    - #### getSession

          javax.servlet.http.HttpSession getSession(String sessionId)

    - #### destroySession

          void destroySession(String sessionId)

    - #### touchSessions

          void touchSessions(Set<String> sessionIds)

    - #### getStatistics

          org.apache.geode.modules.session.catalina.internal.DeltaSessionStatistics getStatistics()

    - #### getCache

          GemFireCache getCache()

    - #### getSessionRegion

          Region<String,javax.servlet.http.HttpSession> getSessionRegion()

    - #### getOperatingRegion

          Region<String,javax.servlet.http.HttpSession> getOperatingRegion()

    - #### isPeerToPeer

          boolean isPeerToPeer()

    - #### isClientServer

          boolean isClientServer()

    - #### keySet

          Set<String> keySet()

    - #### size

          int size()

    - #### isBackingCacheAvailable

          boolean isBackingCacheAvailable()